---
title: Web API reference
slug: Web/Reference/API
tags:
  - API
  - Landing
  - Reference
  - Web
  - web design
---
<p><span class="seoSummary">The Web offers a wide variety of APIs to perform various useful tasks. These can be accessed using JavaScript code, and let you do anything from making minor adjustments to any {{domxref("window")}} or {{domxref("element")}}, to generating intricate graphical and audio effects using APIs such as <a href="/en-US/docs/Web/WebGL">WebGL</a> and <a href="/en-US/docs/Web_Audio_API">Web Audio</a>.</span></p>

<p>Each individual interface across all APIs is listed in the <a href="/en-US/docs/Web/API">index.</a></p>

<p>There's also a <a href="/en-US/docs/Web/Reference/Events">listing of all available events</a> in the event reference.</p>

<div class="cleared topicpage-table">
<div class="section">
<dl>
 <dt><a href="/en-US/docs/DOM">Document Object Model</a></dt>
 <dd>The DOM is an API that allows access to and modification of the current document. It allows manipulation of document {{domxref("Node")}} and {{domxref("Element")}}. HTML, XML and SVG have extended it to manipulate their specific elements.</dd>
 <dt>Device APIs</dt>
 <dd>This set of APIs allows access to various hardware features available to Web pages and applications. E.g. <a href="/en-US/docs/WebAPI/Using_Light_Events">Ambient Light Sensor API</a>, <a href="/en-US/docs/Using_geolocation" title="Using_geolocation">Geolocation API</a>, <a href="/en-US/docs/WebAPI/Pointer_Lock" title="API/Pointer_Lock_API">Pointer Lock API</a>, <a href="/en-US/docs/WebAPI/Proximity" title="WebAPI/Proximity">Proximity API</a>, <a href="/en-US/docs/WebAPI/Detecting_device_orientation" title="WebAPI/Detecting_device_orientation">Device Orientation API</a>, <a href="/en-US/docs/WebAPI/Managing_screen_orientation" title="WebAPI/Detecting_device_orientation">Screen Orientation API</a>, <a href="/en-US/docs/WebAPI/Vibration" title="WebAPI/WebBluetooth">Vibration API</a>.</dd>
 <dt>Communication APIs</dt>
 <dd>These APIs let Web pages and applications communicate with other pages or devices. E.g. <a href="/en-US/docs/WebAPI/Network_Information" title="WebAPI/Network_Information">Network Information API</a>, <a href="/en-US/docs/WebAPI/Using_Web_Notifications">Web Notifications</a>, <a href="/en-US/docs/WebAPI/Simple_Push" title="WebAPI/Push_Notifications">Simple Push API</a>.</dd>
 <dt id="Data_management_APIs">Data management APIs</dt>
 <dd>User data can be stored and managed using this set of APIs. E.g. <a href="/en-US/docs/WebAPI/FileHandle_API" title="WebAPI/FileHandle_API">FileHandle API</a>, <a href="/en-US/docs/IndexedDB" title="IndexedDB">IndexedDB</a>.</dd>
</dl>
</div>

<div class="section">
<h2 id="Related_Topics">Related Topics</h2>

<p>These topics may also be of interest:</p>

<ul>
 <li><a href="/en-US/docs/Web/API">Index of all Web API interfaces</a></li>
</ul>
</div>
</div>
